TAAS - Feature #48

User Group
09/15/2022 11:50 AM - Anil KV

Status: Reopen Bugs Coding Done Start date: 09/16/2022
Priority: Normal Due date: 09/23/2022
Assignee: Vivekp V % Done: 70%
Category: Estimated time: 56:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: User Group

Description

Coding User Group

History

#1 - 10/13/2022 11:24 AM - Anil KV

fn_get_all_settings->sinSettingsCategory

-- 3= User Group and User Base Setting
-- 4 =User Group

- 5=User

#2 - 10/13/2022 11:31 AM - Anil KV

authentication.tbl_user_module_privilege->sin_user_module_category

-- 1 =User Group
--  2=User
-- 3= Set User Privilege for a particular period/Handover

#3 - 10/14/2022 10:09 AM - Muhasin PU
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#4 - 10/20/2022 11:34 AM - Anil KV

fnGetUserModuleApprovalPrivilege in menu service

#5 - 11/03/2022 09:51 AM - Muhasin PU
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#6 - 11/03/2022 09:53 AM - Muhasin PU
When Copy Button Click --> Active First Tab (Pending..)

#7 - 11/07/2022 05:44 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.SET MANDATORY FIELD RED

#8 - 11/09/2022 09:54 AM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
Validations and alignments Fixed.

#9 - 11/09/2022 04:46 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.SET REQUIRED FIELDS RED
2.FIX TABLE HEAD IN APPROVAL PRIVILAGE TAB

#10 - 11/10/2022 01:19 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Fixed.

#11 - 03/15/2023 06:00 PM - Amal Cyriac

ISSUE FOUND *****
1.Correct the spelling - Privilege
(Module Privilege - Menu: TO DO, View Data)

#12 - 03/15/2023 06:01 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Correct the spelling - Privilege
(Module Privilege - Menu: TO DO, View Data)

#13 - 04/28/2023 10:10 AM - Muhasin PU

MENU 'TODO' Translation Remaining.
(Menu Name get from Menu Sevice). !!

e ALL OTHER BUGS Fixed.
#14 - 05/31/2023 10:34 AM - Muhasin PU

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

FIXED.

#15 - 07/12/2023 04:37 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.SELECT OPTION NOT WORKING IN MODULE FEATURE PRIVILEGE

#16 - 09/23/2023 05:22 PM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED****

1.BUTTON MISSING BY SWITCHING FROM MODULES.

#17 - 10/07/2023 05:32 PM - Junaid M

- Assignee changed from Muhasin PU to Junaid M
#18 - 10/17/2023 03:04 PM - Anil KV
- Assignee changed from Junaid M to Vivekp V

#19 - 11/13/2023 10:35 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.BUTTON MISSING BY SWITCHING FROM MODULES.

#20 - 01/06/2024 11:33 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.SHOW ACCOUNTS ON THE BASIS OF ACCOUNT PRIVILEGE UNTICK CASE
2. TICK/UNTICK CASE BASED ON ROLES IN USER GROUP

#21 - 01/08/2024 07:56 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.SHOW ACCOUNTS ON THE BASIS OF ACCOUNT PRIVILEGE UNTICK CASE
2.TICK/UNTICK CASE BASED ON ROLES IN USER GROUP

#22 - 01/10/2024 02:20 PM - unnikannan S
TESTING DONE

#23 - 01/10/2024 02:23 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.DUPLICATION OF ROLES IN LIST WHILE UPDATE

#24 - 01/10/2024 03:31 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.DUPLICATION OF ROLES IN LIST WHILE UPDATE

#25 - 01/13/2024 04:36 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.MISSING ADDED PRIVILEGES OF MODULES THROUGH LIST MISSING IN UPDATE IN SOME FIELDS ONLY fixed

#26 - 01/16/2024 06:53 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.MISSING ADDED PRIVILEGES OF MODULES THROUGH LIST MISSING IN UPDATE IN SOME FIELDS ONLY
2. privileged account only saves those who are selected only

#27 - 02/02/2024 10:57 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.HIDE THOSE PRIVILEGES THAT UNTICKED IN SYSTEM SETTINGS
#28 - 02/02/2024 01:12 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.HIDE THOSE PRIVILEGES THAT UNTICKED IN SYSTEM SETTINGS

#29 - 02/05/2024 12:20 PM - unnikannan S
TESTING DONE

#30 - 02/23/2024 08:44 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

User Group GUI Change

1) General Privilege -> Notification -> Payment Exceed Notification to Me

#31 - 02/24/2024 11:13 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

User Group GUI Change Done
1) General Privilege -> Notification -> Payment Exceed Notification to Me

#32 - 02/26/2024 06:28 PM - Vivekp V
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#33 - 02/27/2024 02:35 PM - unnikannan S
- Status changed from New Changes to Reopen Bugs
ISSUE FOUNDED

1.ERROR WHILE CLEARING DEFAULT VALUE 0 FROM LIST TRY TO UPDATE
Error converting value {null} to type 'System.Double'. Path 'mdiUser.IstMdISettingsModePrivilege16.dblLimit', line 1, position 307710.

2.CORRECT THE FUNCTION OF NEW BUTTON

#34 - 02/27/2024 05:02 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED
1.ERROR WHILE CLEARING DEFAULT VALUE 0 FROM LIST TRY TO UPDATE
Error converting value {null} to type 'System.Double'. Path 'mdiUser.IstMdISettingsModePrivilege16.dblLimit', line 1, position 307710.

2.CORRECT THE FUNCTION OF NEW BUTTON CHANGES UNDERWAY

#35 - 02/28/2024 04:18 PM - Vivekp V
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#36 - 03/04/2024 12:02 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

coding done
payment exceed then notification to me added

#37 - 11/11/2024 04:30 PM - Junaid M
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES DONE

1. Backward/Forward Period widgets -> 0 means Same day. So default value is "" (Empty string).
2. Update title. add "Empty means no checking"

#38 - 11/11/2024 05:24 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#39 - 11/14/2024 09:18 AM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED
1.Missing Blue Star From Doc-Transaction/Documents Forward Creating and Editing Period

menu service action delete permission was off

#40 - 11/14/2024 05:39 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#41 - 01/15/2025 11:25 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Copy button not working.

#42 - 01/15/2025 12:16 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#43 - 01/24/2025 11:47 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
ISSUE FIXED

1. While giving certain privileges to a user you have to update it multiple time during the first time for it to function properly.

Example

1.Created a user-- in the general privileges didn't allow old refund and saved it-- tried a refund--validation happens
2.Then changed the privilege to allow refund--but while trying to make a refund without sale there is still the previous validation.

3.Will have to do this a few times repeatedly to make it work properly.

2. Same issue is found while trying auto revoke, manual revoke privileges for a user.

#44 - 02/03/2025 06:19 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#45 - 02/19/2025 02:08 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1. Auto revoke, manual revoke privileges for a user is not working.

#46 - 02/21/2025 04:36 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
